compact1, compact2, compact3
java.nio.charset

## Class UnmappableCharacterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.nio.charset.CharacterCodingException
        - - java.nio.charset.UnmappableCharacterException

- All Implemented Interfaces:
    Serializable

      public class UnmappableCharacterException
      extends CharacterCodingException

  Checked exception thrown when an input character (or byte) sequence is valid but cannot be mapped to an output byte (or character) sequence.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnmappableCharacterException(int inputLength)` | Constructs an `UnmappableCharacterException` with the given length.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getInputLength()` | Returns the length of the input.
    `String` | `getMessage()` | Returns the message.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnmappableCharacterException

          public UnmappableCharacterException(int inputLength)

      Constructs an `UnmappableCharacterException` with the given length.
      Parameters:
        `inputLength` - the length of the input

  - ### Method Detail

    - #### getInputLength

          public int getInputLength()

      Returns the length of the input.
      Returns:
        the length of the input

    - #### getMessage

          public String getMessage()

      Returns the message.
      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        the message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.